Loading...
Searching...
No Matches
opds Struct Reference

This struct holds the info for one opcode in a concrete instrument instance in performance. More...

`#include <csoundCore.h>`

## Data Fields

struct opds * | nxti
| Next opcode in init-time chain.
struct opds * | nxtp
| Next opcode in perf-time chain.
SUBR | iopadr
| Initialization (i-time) function pointer.
SUBR | opadr
| Perf-time (k- or a-rate) function pointer.
OPTXT * | optext
| Orch file template part for this opcode.
INSDS * | insdshead
| Owner instrument instance data structure.

## Detailed Description

This struct holds the info for one opcode in a concrete instrument instance in performance.

## Field Documentation

## insdshead

INSDS* opds::insdshead

Owner instrument instance data structure.

## iopadr

SUBR opds::iopadr

Initialization (i-time) function pointer.

## nxti

struct opds* opds::nxti

Next opcode in init-time chain.

## nxtp

struct opds* opds::nxtp

Next opcode in perf-time chain.

## opadr

SUBR opds::opadr

Perf-time (k- or a-rate) function pointer.

## optext

OPTXT* opds::optext

Orch file template part for this opcode.